<?xml version="1.0" encoding="UTF-8"?>
<!--
***********************************************************************
** Produces the home page for WML-enabled devices.
********************************************************************-->
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" 
	version="1.0" encoding="UTF-8" indent="yes"
	 doctype-public="-//WAPFORUM//DTD WML 1.1//EN" 
	 doctype-system="http://www.wapforum.org/DTD/wml_1.1.xml"/>
	<!--
	*********************************************************************
	** The main template; creates the deck and the home card.
	******************************************************************-->
	<xsl:template match="/movies">
		<wml>
		
			<!-- call a template to produce the splash screen -->
			<xsl:call-template name="createSplashCard"/>
			
			<card id="home" title="Home" newcontext="true">
				<p align="center">
					Please select your city:
					<select name="city" multiple="false">
						<xsl:apply-templates select="city"/>
					</select>
				</p>
				
				<p>
					<em>
						<a href="movieguide?action=theaters&amp;city=$(city)"
								>Show Theaters...</a>
					</em>
				</p>
			</card>
		</wml>
	</xsl:template>
	
	<!--
	*********************************************************************
	** Produce a single <option> element for a city
	******************************************************************-->
	<xsl:template match="city">
		<option value="{@id}">
			<xsl:value-of select="name"/>
		</option>
	</xsl:template>
	
	<!--
	*********************************************************************
	** Create the splash screen.
	******************************************************************-->
	<xsl:template name="createSplashCard">
		<card id="splash" title="ABC Theaters" ontimer="#home">
			<timer value="15"/>
			<p align="center">
				<big>Welcome to ABC Theaters</big>
			</p>
			<p>Mmmm...Popcorn...</p>
			<do type="accept">
				<go href="#home"/>
			</do>
		</card>
	</xsl:template>
	
</xsl:stylesheet>
