<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="city_id" select="'stl'"/>
	<xsl:param name="theater_id" select="'westolive16'"/>
	
	<xsl:output method="xml" 
	version="1.0" encoding="UTF-8" indent="yes"
	 doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
	 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
	
	<xsl:template match="/movies">
		<html>
			<head>
				<title>Showtimes</title>
			</head>
			
			<body>
				
				<xsl:apply-templates 
					select="city[@id=$city_id]/theater[@id=$theater_id]"/>

				<p>
					<a href="movieguide?action=theaters&amp;city={
					         $city_id}">Select a different theater...</a>
				</p>
			</body>			
		</html>
	</xsl:template>
		
	<xsl:template match="theater">
		<h2>Showtimes for <xsl:value-of select="name"/>
		in <xsl:value-of select="../../city[@id=$city_id]/name"/></h2>
		<table border="1" cellpadding="4" cellspacing="0">
			<tr>
				<th>Movie</th>
				<th>Times</th>
			</tr>
			<xsl:apply-templates select="movie"/>
		</table>
	</xsl:template>
	
	<xsl:template match="movie">
		<xsl:variable name="curId" select="@ref"/>
		<tr valign="top">
			<td>
				<xsl:value-of select="/movies/moviedef[@id=$curId]/longName"/>
			</td>
			<td>
				<xsl:value-of select="times"/>
			</td>
		</tr>
	</xsl:template>
		
			
</xsl:stylesheet>
