<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="city_id" select="'stl'"/>
	
	<xsl:output method="xml" 
	version="1.0" encoding="UTF-8" indent="yes"
	 doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
	 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
	
	<xsl:template match="/movies">
		<html>
			<head>
				<title>Please Select a Theater</title>
			</head>
			
			<body>
				<h1>Theaters</h1>
				
				<xsl:apply-templates select="city[@id=$city_id]"/>

				<p>
					<a href="movieguide">Select a different city...</a>
				</p>
			</body>			
		</html>
	</xsl:template>
	
	<xsl:template match="city">
		<h3><xsl:value-of select="name"/></h3>
		<p>Please select a theater from this list:</p>
		<ul>
			<xsl:apply-templates select="theater"/>
		</ul>
	</xsl:template>
	
	<xsl:template match="theater">
		<li>
			<a href="movieguide?action=showtimes&amp;city={
			       $city_id}&amp;theater={@id}">
				<xsl:value-of select="name"/>
			</a>
		</li>
	</xsl:template>
		
			
</xsl:stylesheet>
