<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<!--******************************************************
	    ** "/" template
	    ***************************************************-->
	<xsl:template match="/">
		<html>
			<body>
				<h1>xsl:choose Example</h1>
				<xsl:apply-templates select="presidents"/>
			</body>
		</html>
	</xsl:template>
	<!--******************************************************
	    ** "presidents" template
	    ***************************************************-->
	<xsl:template match="presidents">
		<xsl:variable name="lastPresident" select="president[position() = last()]/name"/>
		<xsl:value-of select="$lastPresident"/>
		
		<h3>Color Coded by Political Party</h3>
		<ul>
			<xsl:for-each select="president">
				<xsl:variable name="color">
					<xsl:choose>
						<xsl:when test="party = 'Democratic'">
							<xsl:text>blue</xsl:text>
						</xsl:when>
						<xsl:when test="party = 'Republican'">
							<xsl:text>green</xsl:text>
						</xsl:when>
						<xsl:when test="party = 'Democratic Republican'">
							<xsl:text>purple</xsl:text>
						</xsl:when>
						<xsl:when test="party = 'Federalist'">
							<xsl:text>brown</xsl:text>
						</xsl:when>
						<xsl:when test="party = 'Whig'">
							<xsl:text>black</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>red</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<li>
					<font color="{$color}">
						<!-- show the party name -->
						<xsl:apply-templates select="name"/>
						<xsl:text> - </xsl:text>
						<xsl:value-of select="party"/>
					</font>
				</li>
			</xsl:for-each>
		</ul>
	</xsl:template>
	<!--******************************************************
	    ** "name" template
	    ***************************************************-->
	<xsl:template match="name">
		<xsl:value-of select="last"/>
		<xsl:text>, </xsl:text>
		<xsl:value-of select="first"/>
		<xsl:if test="middle">
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			<xsl:value-of select="middle"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
