<?xml version="1.0" encoding="UTF-8"?>
<!--
  ************************************************************
  ** This stylesheet is designed to be imported or included
  ** from other stylesheets.
  *********************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--
	  *********************************************************
	  ** Show a big heading, intended to be used at the top
	  ** of each page.
	  ******************************************************-->
	<xsl:template name="pageHeading">
		<xsl:param name="headingText"/>
		<xsl:choose>
			<xsl:when test="string-length($headingText) = 0">
				<xsl:text>ERROR: 'headingText' is a required parameter.</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="thinBorder">
					<xsl:with-param name="content">
						<div align="center" style="font-size: 36pt">
							<xsl:value-of select="$headingText"/>
						</div>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--
	  *********************************************************
	  ** Takes arbitrary content and wraps it with two HTML
	  ** tables, thus producing a thin border.
	  ******************************************************-->
	<xsl:template name="thinBorder">
		<xsl:param name="content"/>
		<xsl:param name="borderColor" select="'navy'"/>
		<xsl:param name="backgroundColor" select="'white'"/>
		<table width="100%" border="0" cellpadding="1" cellspacing="0" bgcolor="{$borderColor}">
			<tr>
				<td>
					<table width="100%" border="0" cellpadding="4" cellspacing="0">
						<tr bgcolor="{$backgroundColor}">
							<td>
								<xsl:copy-of select="$content"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>
