<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<!-- the identity transformation -->
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	
	<!-- locate <message> elements -->
	<xsl:template match="message">
		<!-- copy the current node, but not its attributes -->
		<xsl:copy>
			<xsl:attribute name="type">
				<xsl:value-of select="type"/>
			</xsl:attribute>
		
			<!-- change the text attribute to a child node -->
			<xsl:element name="text">
				<xsl:value-of select="@text"/>
			</xsl:element>
			
			<!-- since the select attribute is not present,
					xsl:apply-templates processes all children 
					of the current node. (not attributes or processing instructions!) -->
			<xsl:apply-templates/>
			
		</xsl:copy>
	</xsl:template>

	<!-- locate <when> elements -->
	<xsl:template match="when">
	   <!-- change 'when' into 'timestamp', and change its
	        child elements into attributes -->
		<timestamp year="{year}" month="{month}" day="{day}"
		    time="{hour}:{minute}:{second}"/>
	</xsl:template>
	
	<xsl:template match="type"/>
</xsl:stylesheet>
