<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8"/>
	
	<!-- Isolate locale-specific content -->
	<xsl:variable name="lang.pageTitle" select="'Employee Directory'"/>
	<xsl:variable name="lang.nameHeading" select="'Name'"/>
	<xsl:variable name="lang.categoryHeading" select="'Category'"/>
	<xsl:variable name="lang.phoneHeading" select="'Phone'"/>
	<xsl:variable name="lang.manager" select="'Manager'"/>
	<xsl:variable name="lang.programmer" select="'Programmer'"/>
	<xsl:variable name="lang.other" select="'Other'"/>
	
	<xsl:template match="/">
		<html>
			<head>
				<title><xsl:value-of select="$lang.pageTitle"/></title>
			</head>
			<body>
				<h1><xsl:value-of select="$lang.pageTitle"/></h1>
				<table cellpadding="4" cellspacing="0" border="1">
					<tr>
						<th><xsl:value-of select="$lang.nameHeading"/></th>
						<th><xsl:value-of select="$lang.categoryHeading"/></th>
						<th><xsl:value-of select="$lang.phoneHeading"/></th>
					</tr>
					<xsl:for-each select="directory/employee">
						<tr>
							<td>
								<xsl:value-of select="name"/>
							</td>
							<td>
								<xsl:choose>
									<xsl:when test="@category='manager'">
										<xsl:value-of select="$lang.manager"/>
									</xsl:when>
									<xsl:when test="@category='programmer'">
										<xsl:value-of select="$lang.programmer"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$lang.other"/>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td>
								<xsl:value-of select="phone"/>
							</td>
						</tr>
					</xsl:for-each>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
