<?xml version="1.0" encoding="UTF-8"?>
<!--
***********************************************************
** Transforms an XML file representing a person into a
** more concise format.
********************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:param name="includeMiddle" select="'yes'"/>
  
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"
      doctype-system="condensed.dtd"/>

  <xsl:template match="person">
    <xsl:element name="person">
      <xsl:element name="name">
        <xsl:value-of select="firstName"/>
        <xsl:text> </xsl:text>
        <xsl:if test="$includeMiddle = 'yes'">
          <xsl:value-of select="middleName"/>
          <xsl:text> </xsl:text>
        </xsl:if>
        <xsl:value-of select="lastName"/>
      </xsl:element>
    
      <xsl:element name="birthDate">
        <xsl:value-of select="birthDate/@month"/>
        <xsl:text>/</xsl:text>
        <xsl:value-of select="birthDate/@day"/>
        <xsl:text>/</xsl:text>
        <xsl:value-of select="birthDate/@year"/>
      </xsl:element>
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
