<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	
	<xsl:template match="/examples">
		<html>
			<head>
				<title>Java and XSLT Example List</title>
				
				<style type="text/css">
					th {
						text-align: center;
						font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;
						font-weight: bold;
						padding: 4px 4px 4px 4px;
						border-bottom: thin solid navy;
						border-top: thin solid navy;
						background: #999999;
					}
					.dirRow {
						background: #cccccc;
					}
					.dirName {
						font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;
						font-weight: bold;
					}
					.fileName {
						font-family: "Courier New", Courier, monospace;
						font-size: smaller;
					}
				</style>
				
			</head>		
			<body>
				<h1>Java and XSLT</h1>
				<h2>Example List</h2>
				<b>Check <a href="http://www.javaxslt.com">http://www.javaxslt.com</a>
				    for updates.</b>
				
				<ul>
					<li>See <a href="README.txt" target="readmePopup">README.txt</a> for information on running
					    Ant to compile the examples.</li>
					<li>Examples are listed under their directories in alphabetical order.</li>
					<li>The example number from the book is listed in the second
					    column.
						<ul>
							<li>a dash (-) indicates a file that does not have a corresponding
							    example number in the book</li>
							<li>some examples in the book do not have a corresponding file
							    (for instance, some transformation results are not included)</li>
						</ul>
					</li>
				</ul>
				<hr/>
				
				<table border="0" cellpadding="1" cellspacing="0">
					<tr>
						<th>Directory / File Name</th>
						<th>Num</th>
						<th>Notes</th>
					</tr>
					<xsl:apply-templates select="directory">
						<xsl:with-param name="indent" select="0"/>
					</xsl:apply-templates>
				</table>
				
				<p>
					Last updated $Revision: 1.2 $
				</p>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="directory">
		<xsl:param name="indent"/>
		
		<!-- directory name row -->
		<tr class="dirRow">
			<td nowrap="nowrap">
				<span class="dirName">
					<xsl:call-template name="drawIndent">
						<xsl:with-param name="indent" select="$indent"/>
					</xsl:call-template>
				
					<xsl:value-of select="@name"/>
				</span>
			</td>
			<td>
				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			</td>
			<td>
				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			</td>
		</tr>

		<xsl:for-each select="file">
			<tr valign="top">
				<td>
					<span class="fileName">
						<xsl:call-template name="drawIndent">
							<xsl:with-param name="indent" select="$indent+1"/>
						</xsl:call-template>		
						<xsl:value-of select="@name"/>
					</span>
				</td>
				<td>
					<xsl:value-of select="@exampleNum"/>
				</td>
				<td>
					<xsl:value-of select="description"/>
				</td>
			</tr>
		</xsl:for-each>
	
		<xsl:apply-templates select="directory">
			<xsl:with-param name="indent" select="$indent+1"/>
		</xsl:apply-templates>
	</xsl:template>
	
	<xsl:template name="drawIndent">
		<xsl:param name="indent"/>
		
		<xsl:if test="$indent > 0">
			<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
			<xsl:call-template name="drawIndent">
				<xsl:with-param name="indent" select="$indent - 1"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
